## opm-common 2023.04+ds

=== CMakeLists.txt ===
project(opm-common C CXX)
cmake_minimum_required (VERSION 3.10)

option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)
set(OPM_MACROS_ROOT ${PROJECT_SOURCE_DIR})

option(ENABLE_ECL_INPUT "Enable eclipse input support?" ON)
option(ENABLE_ECL_OUTPUT "Enable eclipse output support?" ON)
option(ENABLE_MOCKSIM "Build the mock simulator for io testing" ON)
option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
option(OPM_INSTALL_PYTHON "Install python bindings?" ON)
option(OPM_ENABLE_EMBEDDED_PYTHON "Enable embedded python?" OFF)

# Output implies input
if(ENABLE_ECL_OUTPUT)
  set(ENABLE_ECL_INPUT ON)
endif()

# And likewise, no input means no output
if(NOT ENABLE_ECL_INPUT)
  set(ENABLE_ECL_OUTPUT OFF)
endif()


# not the same location as most of the other projects; this hook overrides
macro (dir_hook)
endmacro (dir_hook)

# We need to define this variable in the installed cmake config file.
set(OPM_PROJECT_EXTRA_CODE_INSTALLED  "#ENABLE_ECL_INPUT is needed by opm-common-prereq.cmake
                                       set(ENABLE_ECL_INPUT ${ENABLE_ECL_INPUT})
                                       set(OPM_MACROS_ROOT ${CMAKE_INSTALL_PREFIX}/share/opm)
                                       list(APPEND CMAKE_MODULE_PATH \${OPM_MACROS_ROOT}/cmake/Modules)
                                       include(OpmPackage) #Make macros available after find_package(opm-common)")

set(OPM_PROJECT_EXTRA_CODE_INTREE "#ENABLE_ECL_INPUT is needed by opm-common-prereq.cmake
                                   set(ENABLE_ECL_INPUT ${ENABLE_ECL_INPUT})
                                   set(OPM_MACROS_ROOT ${OPM_MACROS_ROOT})
                                   list(APPEND CMAKE_MODULE_PATH \${OPM_MACROS_ROOT}/cmake/Modules)
                                   include(OpmPackage) #Make macros available after find_package(opm-common)")
if(ENABLE_ECL_OUTPUT)
  set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
                                        set(COMPARE_ECL_COMMAND ${CMAKE_INSTALL_PREFIX}/bin${${name}_VER_DIR}/compareECL)
                                        set(OPM_PACK_COMMAND ${CMAKE_INSTALL_PREFIX}/bin${${name}_VER_DIR}/opmpack)
                                        set(RST_DECK_COMMAND ${CMAKE_INSTALL_PREFIX}/bin${${name}_VER_DIR}/rst_deck)")

  set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
                                     set(COMPARE_ECL_COMMAND ${PROJECT_BINARY_DIR}/bin/compareECL)
                                     set(OPM_PACK_COMMAND ${PROJECT_BINARY_DIR}/bin/opmpack)
                                     set(RST_DECK_COMMAND ${PROJECT_BINARY_DIR}/bin/rst_deck)")
endif()

# project information is in dune.module. Read this file and set variables.
# we cannot generate dune.module since it is read by dunecontrol before
# the build starts, so it makes sense to keep the data there then.
include (OpmInit)
OpmSetPolicies()

# Look for the opm-tests repository; if found the variable
# HAVE_OPM_TESTS will be set to true.
include(Findopm-tests)

# list of prerequisites for this particular project; this is in a
# separate file (in cmake/Modules sub-directory) because it is shared
# with the find module
include (${project}-prereqs)

# source_hook runs before config_hook and the former needs fmt, hence this
# needs to be here.
if(fmt_FOUND)
  # OpmSatellites will not add the library, do it here.
  list(APPEND opm-common_LIBRARIES fmt::fmt)
else()
  add_definitions(-DFMT_HEADER_ONLY)
  include_directories(SYSTEM ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
  # Not sure why this is needed.
  list(APPEND EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
endif()

if(OPM_ENABLE_EMBEDDED_PYTHON AND NOT OPM_ENABLE_PYTHON)
  # This needs to be here to run before source_hook
  message(WARNING "Inconsistent settings: OPM_ENABLE_PYTHON=OFF and "
    "OPM_ENABLE_EMBEDDED_PYTHON=ON. Please use OPM_ENABLE_PYTHON=ON to "
    "activate. Will disable embedded python in this run.")
  set(OPM_ENABLE_EMBEDDED_PYTHON OFF CACHE BOOL "Enable embedded python?" FORCE)
endif()
# read the list of components from this file (in the project directory);
# it should set various lists with the names of the files to include
include (CMakeLists_files.cmake)

macro (config_hook)
  if(ENABLE_ECL_INPUT)
    if(NOT cjson_FOUND)
      list(APPEND EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/external/cjson)
    endif()

    # For this project
    include_directories(${EXTRA_INCLUDES} ${PROJECT_BINARY_DIR}/include)
    # For downstreams
    list(APPEND EXTRA_INCLUDES ${PROJECT_BINARY_DIR}/include)
    set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
                                       list(APPEND opm-common_INCLUDE_DIRS ${EXTRA_INCLUDES})")
    if(ENABLE_ECL_INPUT)
      set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
                                         set(HAVE_ECL_INPUT 1)")
      set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
                                            set(HAVE_ECL_INPUT 1)")
      set(HAVE_ECL_INPUT 1)
    endif()
    if(ENABLE_ECL_OUTPUT)
      set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
                                         set(HAVE_ECL_OUTPUT 1)")
      set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
                                            set(HAVE_ECL_OUTPUT 1)")
    endif()
    # We need to use the correct search mode. Otherwise not finding one
    # boost component beloq will mark the previously found ones as not
    # found again. (Code stolen from UseDynamicBoost.cmake
    if(Boost_DIR)
      set(_Boost_CONFIG_MODE CONFIG)
    endif()
    find_package(Boost COMPONENTS filesystem regex system unit_test_framework ${_Boost_CONFIG_MODE})

    if (HAVE_DYNAMIC_BOOST_TEST)
      set_target_properties(Boost::unit_test_framework PROPERTIES INTERFACE_COMPILE_DEFINITIONS BOOST_TEST_DYN_LINK=1)
    endif()
  endif()

endmacro (config_hook)

macro (prereqs_hook)
endmacro (prereqs_hook)

macro (sources_hook)
  if(ENABLE_ECL_INPUT)
    # Keyword generation
    include(GenerateKeywords.cmake)

    # Append generated sources
    list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserInit.cpp)
    foreach (name A B C D E F G H I J K L M N O P Q R S T U V W X Y Z)
        list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserKeywords/${name}.cpp)
        list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserKeywords/ParserInit${name}.cpp)
        list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserKeywords/Builtin${name}.cpp)
        list(INSERT opm-common_HEADERS 0 ${PROJECT_BINARY_DIR}/include/opm/input/eclipse/Parser/ParserKeywords/${name}.hpp)
    endforeach()
    if (OPM_ENABLE_EMBEDDED_PYTHON)
      list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/python/cxx/builtin_pybind11.cpp)
    endif()
  endif()
  set_source_files_properties(src/opm/input/eclipse/Python/Python.cpp
                              PROPERTIES COMPILE_FLAGS -Wno-shadow)
  if(QuadMath_FOUND)
    get_target_property(qm_defs QuadMath::QuadMath INTERFACE_COMPILE_DEFINITIONS)
    get_target_property(qm_options QuadMath::QuadMath INTERFACE_COMPILE_OPTIONS)
    set_source_files_properties(src/opm/material/components/CO2.cpp
                                src/opm/material/densead/Evaluation.cpp
                                PROPERTIES COMPILE_DEFINITIONS "${qm_defs}"
                                COMPILE_OPTIONS "${qm_options}")
  endif()

endmacro (sources_hook)

macro (fortran_hook)
endmacro (fortran_hook)

macro (files_hook)
endmacro (files_hook)

macro (tests_hook)
  if(ENABLE_ECL_INPUT)
    include(ExtraTests.cmake)
  endif()
endmacro (tests_hook)

macro (install_hook)
  install(DIRECTORY ${PROJECT_BINARY_DIR}/include/
          DESTINATION include
          PATTERN *.hpp)
endmacro (install_hook)

# Used to append entries from one list to another.
# The output list is suitable for use in setup.py subtitution
macro(append_quoted OUT IN)
  foreach(ENTRY ${${IN}})
    list(APPEND ${OUT} "'${ARGN}${ENTRY}'")
  endforeach()
endmacro()

# If opm-common is configured to embed the python interpreter we must make sure
# that all downstream modules link libpython transitively. Due to the required
# integration with Python+cmake machinery provided by pybind11 this is done by
# manually adding to the opm-common_LIBRARIES variable here, and not in the
# OpmLibMain function. Here only the library dependency is implemented, the
# bulk of the python configuration is further down in the file.
if (OPM_ENABLE_PYTHON)
  # We need to be compatible with older CMake versions
  # that do not offer FindPython3
  # e.g. Ubuntu LTS 18.04 uses cmake 3.10
  if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
    find_package(PythonInterp REQUIRED)
    if (OPM_ENABLE_EMBEDDED_PYTHON)
      find_package(PythonLibs REQUIRED)
      list(APPEND opm-common_LIBRARIES ${PYTHON_LIBRARIES})
    endif()
    if(PYTHON_VERSION_MAJOR LESS 3)
      message(SEND_ERROR "OPM requires version 3 of Python but only version ${PYTHON_VERSION_STRING} was found")
    endif()
    set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
    set(Python3_LIBRARIES ${PYTHON_LIBRARIES})
    set(Python3_VERSION "${PYTHON_VERSION_STRING}")
    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
  else()
    # Be backwards compatible.
    if(PYTHON_EXECUTABLE AND NOT Python3_EXECUTABLE)
      set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
    endif()
    # We always need to search for Development as we use
    # pybind11_add_module even if don't embed Python
    if (NOT OPM_ENABLE_EMBEDDED_PYTHON)
      if(${CMAKE_VERSION} VERSION_LESS "3.18.0")
        find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
      else()
        find_package(Python3 REQUIRED COMPONENTS Interpreter Development.Module)
      endif()
    else()
      if(${CMAKE_VERSION} VERSION_LESS "3.18.0")
        find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
      else()
        find_package(Python3 REQUIRED COMPONENTS Interpreter Development.Embed Development.Module)
      endif()
      get_target_property(_lib_path Python3::Python IMPORTED_LOCATION)
      set(PYTHON_LIBRARY ${_lib_path})
      set(PYTHON_LIBRARIES {PYTHON_LIBRARY})
      list(APPEND opm-common_LIBRARIES ${PYTHON_LIBRARY})
      set(PYTHON_INCLUDE_DIRS ${Python3_INCLUDE_DIRS})
    endif()
    if(Python3_VERSION_MINOR LESS 3)
      # Python native namespace packages requires python >= 3.3
      message(SEND_ERROR "OPM requires python >= 3.3 but only version ${Python3_VERSION} was found")
    endif()

    # Compatibility settings for PythonInterp and PythonLibs
    # used e.g. in FindCwrap, pybind11
    set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
    # Directory to install common (for opm modules) python scripts
    include (GNUInstallDirs)
    set(OPM_PYTHON_COMMON_DIR "${CMAKE_INSTALL_DATAROOTDIR}/opm/python")
    set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
                                       set(opm-common_PYTHON_COMMON_DIR ${PROJECT_SOURCE_DIR}/python)")
    set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
                                         set(opm-common_PYTHON_COMMON_DIR ${CMAKE_INSTALL_PREFIX}/${OPM_PYTHON_COMMON_DIR})")
  endif()
  # We always need the PYTHON_INCLUDE_DIR. Unfortunately
  # When we build pypi packages CMake will fail to determine
  # these via the usual find_package(PythonLibs or
  # find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
  # Hence we overwrite them here.
  if(NOT PYTHON_INCLUDE_DIRS)
    execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "from distutils import sysconfig; print(sysconfig.get_python_inc(plat_specific=True), end=\"\");"
      RESULT_VARIABLE _PYTHON_DIR_SUCCESS
      OUTPUT_VARIABLE PYTHON_INCLUDE_DIR

=== debian/changelog ===
opm-common (2023.04+ds-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Reduce optimization on ppc64el to fix a test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Aug 2023 17:09:01 +0200

opm-common (2023.04+ds-5) unstable; urgency=medium

  * Fix/complete scale_factor patch to actually fix build on mips64el

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 19 Aug 2023 20:58:11 +0200

opm-common (2023.04+ds-4) unstable; urgency=medium

  * [fix] Pevent undefined behavior of ESMry scale factors for values <=0.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 18 Aug 2023 18:24:21 +0200

opm-common (2023.04+ds-3) unstable; urgency=medium

  * d/control: Added missing dependency on libdune-common-dev
  * Make CMake fail on non-64bit systems.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Aug 2023 11:28:34 +0200

opm-common (2023.04+ds-2ubuntu1) mantic; urgency=medium

  * Reduce optimization on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Aug 2023 08:33:40 +0200

opm-common (2023.04+ds-2) unstable; urgency=medium

  * d/control: Correctly reflect the merge of opm-material into opm-common
  * d/libopm-common-bin.install: Added co2brinepvt program.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 17 Jul 2023 15:05:05 +0200

opm-common (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04
  * d/tests: Limit architectures for tests.
  * Fixed segmentation fault in PYACTION on bookworm and sid
  * Skip rpath for python lib.
  * Also install co2brinepvt as we install the manpage.
  * Added missing include of cstdint for GCC13
      (Closes: #1037807)
  * [bugfix] Use numComponents when accessing K_/moleFractions_ in PTFlash.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 14 Jul 2023 15:46:22 +0200

=== debian/control ===
Source: opm-common
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: cmake (>=3.10), mpi-default-bin, mpi-default-dev, bc, procps,
               debhelper-compat (= 12), libcjson-dev, libfmt-dev, quilt, dh-python,
               pkg-config, lsb-release, libtool, doxygen, graphviz,
               texlive-latex-extra, texlive-latex-recommended,
               ghostscript, libboost-system-dev, libboost-test-dev,
               zlib1g-dev, python3-dev, libpython3-dev, python3-numpy, python3-distutils,
               python3-setuptools, python3-setuptools-scm, python3-pytest-runner,
               python3-decorator, libdune-common-dev, pybind11-dev
Standards-Version: 4.6.2
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-common
Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
Rules-Requires-Root: no

Package: libopm-common
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-common1
Description: Tools for Eclipse reservoir simulation files -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 The Eclipse file format is widely used in the reservoir simulation
 community. This package provides library containing code for processing
 files in Eclipse format as well as utility code used by other OPM
 modules.

Package: libopm-common-bin
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-common1-bin
Description: Tools for Eclipse reservoir simulation files -- utility programs
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 The Eclipse file format is widely used in the reservoir simulation
 community. This package provides utility programs to process files
 in this format, like for comparing two files, converting between
 binary version and formatted text file format, etc.

Package: libopm-material-dev
Depends: libopm-common-dev (>= 2023.04~), ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libopm-common-dev
Section: libdevel
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: same
Suggests: libopm-common-doc
Replaces: libopm-common1-dev, libopm-material-dev (<< 2023.04~), libopm-material1-dev
Breaks: libopm-material-dev (<< 2023.04~)
Depends: ${opm:shared-library},  ${misc:Depends}, libcjson-dev, libfmt-dev,
         libboost-system-dev, libpython3-dev, libdune-common-dev
Description: Tools for Eclipse reservoir simulation files -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This package contains the shared buildsystem of all OPM modules,
 the headers for input, parsing, and output of files in Eclipse format,
 a format widely used in the reservoir simulation community, and generic
 utilities used in other OPM modules.


Package: libopm-material-doc
Depends: libopm-common-doc (>= 2023.04~), ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libopm-common-doc
Breaks: libopm-material-doc (<< 2023.04~)
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libopm-common1-doc, libopm-material-doc (<< 2023.04~), libopm-material1-doc
Depends: ${misc:Depends}
Description: Tools for Eclipse reservoir simulation files -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This package contains the source code documentation of library and tools
 for Eclipse reservoir simulation files.

Package: python3-opm-common
Section: python
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopm-common, python3-numpy, python3-decorator
Description: Tools for Eclipse reservoir simulation files -- Python wrappers
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes,
 especially for simulating CO2 sequestration and improved and enhanced
 oil recovery.
 .
 This package contains the Python wrappers for reading, parsing, and
 writing files in Eclipse format, a format widely used in the
 reservoir simulation community.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DOPM_ENABLE_PYTHON=1 -DOPM_INSTALL_PYTHON=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 -DOPM_INSTALL_COMPILED_PYTHON=OFF -DOPM_ENABLE_EMBEDDED_PYTHON=1

ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
  export DEB_CFLAGS_MAINT_STRIP = -O3
  export DEB_CXXFLAGS_MAINT_STRIP = -O3
  export DEB_CFLAGS_MAINT_APPEND = -O2
  export DEB_CXXFLAGS_MAINT_APPEND = -O2
endif

need_gb_ram_per_process=3
free_ram=$(shell free -g | sed -n 2p| sed "s/ \+/ /g"| cut -d " " -f 2)
max_procs=$(shell echo "$(free_ram)/$(need_gb_ram_per_process)" | bc)
parallel_procs=$(shell if test "$(max_procs)" -lt "1"; then echo 1; else echo "$(max_procs)"; fi)

%:
	echo "ram in gb: $(free_ram), needed ram per thread: $(need_gb_ram_per_process), threads: $(parallel_procs)"
	dh $@ --with python3 --max-parallel=$(parallel_procs)

include debian/opm-debian.mk
include debian/opm-lib-debian.mk # for makeshlibs

## opm-common 2023.10%2Bds

=== python/requirements.txt ===
six
future
decorator

## opm-common 2023.10+ds

=== debian/changelog ===
opm-common (2023.10+ds-3) unstable; urgency=medium

  * Restrict tabulation tests to double to prevent FTBFS on arm64/ppc64el.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Mar 2024 17:03:06 +0100

opm-common (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-distutils from Build-Depends
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: pkg-config => pkgconf
  * Uploading to unstable since it
    Closes: #1061426
  * LoongArch support was added in 2023.10~rc2+ds-1
    Closes: #1059203

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 19:40:00 +0100

opm-common (2023.10+ds-1) experimental; urgency=medium

  * New upstream release 2023.10
  * d/copyright: Updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 15:06:05 +0100

opm-common (2023.10~rc2+ds-1) experimental; urgency=medium

  [Markus Blatt]
  * Dropped patches applied to upstream
  * New upstream release candidate 2023.10-rc2

  [Dandan Zhang]
  * Add support for LoongArch

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 19:48:27 +0100

opm-common (2023.10~rc1+ds-1) experimental; urgency=medium

  * dch: snapshot release
  * Dropped patches applied to upstream.
  * Remove non-existent pkgconfig dir from libopm-common-dev.install
  * Release candidate 2023.10-rc1
  * d/watch: Also search for release candidated

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 19:18:10 +0200

=== debian/control ===
Source: opm-common
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
           Markus Blatt <markus@dr-blatt.de>
Section: libs
Priority: optional
Build-Depends: cmake,
               mpi-default-bin,
               mpi-default-dev,
               bc,
               procps,
               debhelper-compat (= 13),
               libcjson-dev,
               libfmt-dev,
               quilt,
               dh-sequence-python3,
               pkgconf,
               lsb-release,
               libtool,
               doxygen,
               graphviz,
               texlive-latex-extra,
               texlive-latex-recommended,
               ghostscript,
               libboost-system-dev,
               libboost-test-dev,
               zlib1g-dev,
               python3-dev,
               libpython3-dev,
               python3-numpy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest-runner,
               python3-decorator,
               libdune-common-dev,
               pybind11-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/opm-common
Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
Homepage: https://opm-project.org
Rules-Requires-Root: no

Package: libopm-common
Architecture: amd64 arm64 armel ia64 loong64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: ${opm:shared-library}
Replaces: libopm-common1
Description: Tools for Eclipse reservoir simulation files -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 The Eclipse file format is widely used in the reservoir simulation
 community. This package provides library containing code for processing
 files in Eclipse format as well as utility code used by other OPM
 modules.

Package: libopm-common-bin
Architecture: amd64 arm64 armel ia64 loong64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopm-common1-bin
Description: Tools for Eclipse reservoir simulation files -- utility programs
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 The Eclipse file format is widely used in the reservoir simulation
 community. This package provides utility programs to process files
 in this format, like for comparing two files, converting between
 binary version and formatted text file format, etc.

Package: libopm-material-dev
Architecture: all
Section: oldlibs
Depends: libopm-common-dev (>= 2023.04~),
         ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libopm-common-dev
Architecture: amd64 arm64 armel ia64 loong64 m68k mips64el mipsel ppc64el riscv64
Multi-Arch: same
Section: libdevel
Depends: ${opm:shared-library},
         ${misc:Depends},
         libcjson-dev,
         libfmt-dev,
         libboost-system-dev,
         libpython3-dev,
         libdune-common-dev
Suggests: libopm-common-doc
Breaks: libopm-material-dev (<< 2023.04~)
Replaces: libopm-common1-dev,
          libopm-material-dev (<< 2023.04~),
          libopm-material1-dev
Description: Tools for Eclipse reservoir simulation files -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This package contains the shared buildsystem of all OPM modules,
 the headers for input, parsing, and output of files in Eclipse format,
 a format widely used in the reservoir simulation community, and generic
 utilities used in other OPM modules.

Package: libopm-material-doc
Architecture: all
Section: oldlibs
Depends: libopm-common-doc (>= 2023.04~),
         ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libopm-common-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: libopm-material-doc (<< 2023.04~)
Replaces: libopm-common1-doc,
          libopm-material-doc (<< 2023.04~),
          libopm-material1-doc
Description: Tools for Eclipse reservoir simulation files -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This package contains the source code documentation of library and tools
 for Eclipse reservoir simulation files.

Package: python3-opm-common
Architecture: amd64 arm64 armel ia64 loong64 m68k mips64el mipsel ppc64el riscv64
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         libopm-common,
         python3-numpy,
         python3-decorator
Pre-Depends: ${misc:Pre-Depends}
Description: Tools for Eclipse reservoir simulation files -- Python wrappers
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes,
 especially for simulating CO2 sequestration and improved and enhanced
 oil recovery.
 .
 This package contains the Python wrappers for reading, parsing, and
 writing files in Eclipse format, a format widely used in the
 reservoir simulation community.

=== debian/tests/control ===
Tests: basic
Depends:
  libdune-common-dev,
  libopm-common-dev (>= 2022.10),
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
Restrictions: allow-stderr, skip-not-installable
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64

## opm-common 2024.04~rc1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required (VERSION 3.10)
 project(opm-common C CXX)
-cmake_minimum_required (VERSION 3.10)
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)
@@ -72,18 +72,14 @@
   # OpmSatellites will not add the library, do it here.
   list(APPEND opm-common_LIBRARIES fmt::fmt)
 else()
-  add_definitions(-DFMT_HEADER_ONLY)
-  include_directories(SYSTEM ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
-  # Not sure why this is needed.
-  list(APPEND EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
+  include(DownloadFmt)
 endif()
 
 if(OPM_ENABLE_EMBEDDED_PYTHON AND NOT OPM_ENABLE_PYTHON)
   # This needs to be here to run before source_hook
   message(WARNING "Inconsistent settings: OPM_ENABLE_PYTHON=OFF and "
-    "OPM_ENABLE_EMBEDDED_PYTHON=ON. Please use OPM_ENABLE_PYTHON=ON to "
-    "activate. Will disable embedded python in this run.")
-  set(OPM_ENABLE_EMBEDDED_PYTHON OFF CACHE BOOL "Enable embedded python?" FORCE)
+    "OPM_ENABLE_EMBEDDED_PYTHON=ON. OPM_ENABLE_EMBEDDED_PYTHON=ON now implies OPM_ENABLE_PYTHON=ON.")
+  set(OPM_ENABLE_PYTHON ON CACHE BOOL "Enable python bindings?" FORCE)
 endif()
 # read the list of components from this file (in the project directory);
 # it should set various lists with the names of the files to include
@@ -91,10 +87,6 @@
 
 macro (config_hook)
   if(ENABLE_ECL_INPUT)
-    if(NOT cjson_FOUND)
-      list(APPEND EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/external/cjson)
-    endif()
-
     # For this project
     include_directories(${EXTRA_INCLUDES} ${PROJECT_BINARY_DIR}/include)
     # For downstreams
@@ -133,6 +125,12 @@
 endmacro (prereqs_hook)
 
 macro (sources_hook)
+  if(NOT cjson_FOUND)
+    include(DownloadCjson)
+    include_directories(${cjson_SOURCE_DIR})
+    list(APPEND opm-common_SOURCES ${cjson_SOURCE_DIR}/cJSON.c)
+  endif()
+
   if(ENABLE_ECL_INPUT)
     # Keyword generation
     include(GenerateKeywords.cmake)
@@ -154,8 +152,8 @@
   if(QuadMath_FOUND)
     get_target_property(qm_defs QuadMath::QuadMath INTERFACE_COMPILE_DEFINITIONS)
     get_target_property(qm_options QuadMath::QuadMath INTERFACE_COMPILE_OPTIONS)
-    set_source_files_properties(src/opm/material/components/CO2.cpp
-                                src/opm/material/densead/Evaluation.cpp
+    set_source_files_properties(opm/material/components/CO2.cpp
+                                opm/material/densead/Evaluation.cpp
                                 PROPERTIES COMPILE_DEFINITIONS "${qm_defs}"
                                 COMPILE_OPTIONS "${qm_options}")
   endif()
@@ -261,3 +259,7 @@
     execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "from distutils import sysconfig; print(sysconfig.get_python_inc(plat_specific=True), end=\"\");"
       RESULT_VARIABLE _PYTHON_DIR_SUCCESS
       OUTPUT_VARIABLE PYTHON_INCLUDE_DIR
+      ERROR_VARIABLE _PYTHON_ERROR_VALUE)
+    if(NOT _PYTHON_DIR_SUCCESS MATCHES 0)
+      message(FATAL_ERROR "Could not determine Python include directory. Error: ${_PYTHON_ERROR_VALUE}.")
+    endif()

## opm-common 2024.04+ds

=== debian/changelog ===
opm-common (2024.04+ds-2) unstable; urgency=medium

  * fix build with g++-14 by backporting upstream patches.
    (Closes: #1075348)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 09 Jul 2024 21:31:42 +0200

opm-common (2024.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:18:38 +0200

opm-common (2024.04~rc2+ds-2) unstable; urgency=medium

  * Prevent pybind11 from stripping debug symbols
  * d/rules: correctly determine lsb release
  * Install new binary hysteresis.
  * Strip +% (e.g. +ds) from version used for library
  * New upstream release candidate 2024.04~rc2 supporting Python 3.12

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 18:42:42 +0200

opm-common (2024.04~rc2+ds-1) experimental; urgency=medium

  * Prevent pybind11 from stripping debug symbols
  * d/rules: correctly determine lsb release
  * New upstream release candidate 2024.04~rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 17:43:57 +0200

opm-common (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1
  * Also use SKIP_BUILD_RPATH for new opm_embedded library.
  * Install new binary hysteresis.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 19:41:02 +0200

## opm-common 2024.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,6 +119,12 @@
     endif()
   endif()
 
+  include(CheckIncludeFile)
+  check_include_file(fnmatch.h FNMATCH_H_FOUND)
+  if (FNMATCH_H_FOUND)
+    set(HAVE_FNMATCH_H 1)
+  endif()
+
 endmacro (config_hook)
 
 macro (prereqs_hook)
@@ -149,15 +155,30 @@
   endif()
   set_source_files_properties(src/opm/input/eclipse/Python/Python.cpp
                               PROPERTIES COMPILE_FLAGS -Wno-shadow)
+  if (OPM_ENABLE_PYTHON)
+    # Set the path to the input docstrings.json file and the output .hpp file
+    set(PYTHON_DOCSTRINGS_FILE "${PROJECT_SOURCE_DIR}/python/docstrings_common.json")
+    set(PYTHON_DOCSTRINGS_GENERATED_HPP "${PROJECT_BINARY_DIR}/python/cxx/OpmCommonPythonDoc.hpp")
+    # Command to run the Python script
+    add_custom_command(
+        OUTPUT ${PYTHON_DOCSTRINGS_GENERATED_HPP}
+        COMMAND ${PYTHON_EXECUTABLE} ${PROJECT_SOURCE_DIR}/python/generate_docstring_hpp.py
+                ${PYTHON_DOCSTRINGS_FILE} ${PYTHON_DOCSTRINGS_GENERATED_HPP} OPMCOMMONPYTHONDOC_HPP "Opm::Common::DocStrings"
+        DEPENDS ${PYTHON_DOCSTRINGS_FILE}
+        COMMENT "Generating OpmCommonPythonDoc.hpp from JSON file"
+    )
+    list(INSERT opm-common_SOURCES 0 ${PYTHON_DOCSTRINGS_GENERATED_HPP})
+  endif()
+
   if(QuadMath_FOUND)
     get_target_property(qm_defs QuadMath::QuadMath INTERFACE_COMPILE_DEFINITIONS)
+    list(APPEND qm_defs HAVE_QUAD=1)
     get_target_property(qm_options QuadMath::QuadMath INTERFACE_COMPILE_OPTIONS)
     set_source_files_properties(opm/material/components/CO2.cpp
                                 opm/material/densead/Evaluation.cpp
                                 PROPERTIES COMPILE_DEFINITIONS "${qm_defs}"
                                 COMPILE_OPTIONS "${qm_options}")
   endif()
-
 endmacro (sources_hook)
 
 macro (fortran_hook)
@@ -246,20 +267,3 @@
     include (GNUInstallDirs)
     set(OPM_PYTHON_COMMON_DIR "${CMAKE_INSTALL_DATAROOTDIR}/opm/python")
     set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
-                                       set(opm-common_PYTHON_COMMON_DIR ${PROJECT_SOURCE_DIR}/python)")
-    set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
-                                         set(opm-common_PYTHON_COMMON_DIR ${CMAKE_INSTALL_PREFIX}/${OPM_PYTHON_COMMON_DIR})")
-  endif()
-  # We always need the PYTHON_INCLUDE_DIR. Unfortunately
-  # When we build pypi packages CMake will fail to determine
-  # these via the usual find_package(PythonLibs or
-  # find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
-  # Hence we overwrite them here.
-  if(NOT PYTHON_INCLUDE_DIRS)
-    execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "from distutils import sysconfig; print(sysconfig.get_python_inc(plat_specific=True), end=\"\");"
-      RESULT_VARIABLE _PYTHON_DIR_SUCCESS
-      OUTPUT_VARIABLE PYTHON_INCLUDE_DIR
-      ERROR_VARIABLE _PYTHON_ERROR_VALUE)
-    if(NOT _PYTHON_DIR_SUCCESS MATCHES 0)
-      message(FATAL_ERROR "Could not determine Python include directory. Error: ${_PYTHON_ERROR_VALUE}.")
-    endif()

=== debian/changelog ===
opm-common (2024.10+ds-4) unstable; urgency=medium

  * Also backported "Abide by FMT-v11 Format String Requirements" patch
    from upstream's master (Closes: #1092847)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 11 Feb 2025 22:52:55 +0100

opm-common (2024.10+ds-3) unstable; urgency=medium

  * Backported fmt11 fixes from upstream's master (Closes: #1092847)
  * Use numpy.sum instead of sum to fix failing test with Python 3.12
    (Closes: #1095362)

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 09 Feb 2025 19:18:56 +0100

opm-common (2024.10+ds-2) unstable; urgency=medium

  * d/patches: Fixed handling of CMake Bool in config.h
  * d/patches: Use uppercase for components in FindSuiteSparse as in DUNE
       (Fixes autopkgtests in downstream OPM packages)

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 17 Nov 2024 14:50:03 +0100

opm-common (2024.10+ds-1) unstable; urgency=medium

  * New upstream release 2024.10
  * Rediff patches
  * d/control: Bumped standards version to 4.7.0 (no-change)
  * d/control: Depend on OPM 2024.10
  * Fix Python usage in msim and its tests.
  * d/patches Preparing to support DUNE 2.10
  * Update changelog for 2024.10+ds-1~2.gbpede03f release
  * d/copyright: Updated and corrected copyright
  * d/patches: Backported corrections in copright declarations from upstream
  * d/control: Temporarily require DUNE 2.10 to ease migrations

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 14:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
                python3-setuptools-scm,
                python3-pytest-runner,
                python3-decorator,
-               libdune-common-dev,
+               libdune-common-dev (>= 2.10.0~),
                pybind11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/opm-common
 Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
 Homepage: https://opm-project.org
@@ -79,7 +79,7 @@
 Package: libopm-material-dev
 Architecture: all
 Section: oldlibs
-Depends: libopm-common-dev (>= 2023.04~),
+Depends: libopm-common-dev (>= 2024.10~),
          ${misc:Depends}
 Description: transitional package
  This is a transitional package. It can safely be removed.

## opm-common 2025.04~rc3+ds

=== debian/changelog ===
opm-common (2025.04~rc3+ds-2) experimental; urgency=medium

  * d/patches: Use correct flags to compile pybind11 module

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 29 Apr 2025 13:40:04 +0200

opm-common (2025.04~rc3+ds-1) experimental; urgency=medium

  * New upstream release candidate 2025.04~rc3
  * d/pacthes: Search for OpenMP if we are a DUNE module

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 28 Apr 2025 16:36:58 +0200

opm-common (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2025.04~rc2
  * Rediff patches

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Apr 2025 12:42:59 +0200

opm-common (2025.04~git20250402.bdf25c57c+ds-1~exp1) experimental; urgency=medium

  * Prelease version based on bdf25c57c
  * Dropped patches applied upstream, rediffed the others.
  * d/copyright: Fixed missing copyright line
  * d/control: Bumped standards veriosn to 4.7.2 (no change)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 12:22:52 +0200

opm-common (2024.10+ds-5) unstable; urgency=medium

  * d/control: Bumped standards version to 4.7.2 (no change)
  * d/copyright: Fix lintian warnings

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Apr 2025 17:35:09 +0200

## opm-common 2025.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
 option(OPM_INSTALL_PYTHON "Install python bindings?" ON)
 option(OPM_ENABLE_EMBEDDED_PYTHON "Enable embedded python?" OFF)
+option(OPM_ENABLE_DUNE "Enable code requiring dune-common?" ON)
 
 # Output implies input
 if(ENABLE_ECL_OUTPUT)
@@ -125,6 +126,10 @@
     set(HAVE_FNMATCH_H 1)
   endif()
 
+  if(OPM_ENABLE_DUNE)
+    find_package(dune-common REQUIRED)
+    opm_need_version_of ("dune-common")
+  endif()
 endmacro (config_hook)
 
 macro (prereqs_hook)
@@ -190,6 +195,9 @@
 macro (tests_hook)
   if(ENABLE_ECL_INPUT)
     include(ExtraTests.cmake)
+  endif()
+  if (dune-common_FOUND)
+    list(APPEND tests_SOURCES ${DUNE_TEST_SOURCE_FILES})
   endif()
 endmacro (tests_hook)
 
@@ -263,7 +271,3 @@
     # Compatibility settings for PythonInterp and PythonLibs
     # used e.g. in FindCwrap, pybind11
     set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
-    # Directory to install common (for opm modules) python scripts
-    include (GNUInstallDirs)
-    set(OPM_PYTHON_COMMON_DIR "${CMAKE_INSTALL_DATAROOTDIR}/opm/python")
-    set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}

=== debian/changelog ===
opm-common (2025.04+ds-5) unstable; urgency=medium

  * Test for std::atan not atan with __float128 from quadmath

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 18 Sep 2025 11:51:09 +0200

opm-common (2025.04+ds-4) unstable; urgency=medium

  * Skip defining math functions for __float128 if they already exist

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 18 Sep 2025 09:28:33 +0200

opm-common (2025.04+ds-3) unstable; urgency=medium

  * Deactivate further overloads if __float128 is long double

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 17 Sep 2025 23:52:57 +0200

opm-common (2025.04+ds-2) unstable; urgency=medium

  * Fix quadmath problems on ppc64el with IEEE long double (Closes: #1114005)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Sep 2025 15:04:47 +0200

opm-common (2025.04+ds-1) sid; urgency=medium

  * New upstream release 2025.04
  * d/copyright: Fixed missing copyright line
  * d/control: Bumped standards veriosn to 4.7.2 (no change)
  * Rediff patches
  * d/patches: Use correct flags to compile pybind11 module
  * d/pacthes: Search for OpenMP if we are a DUNE module
  * Dropped patches applied upstream, rediffed the others.
  * d/copyright: Fixed missing copyright line
  * d/control: Bumped standards veriosn to 4.7.2 (no change)

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 10 Aug 2025 15:15:23 +0200

opm-common (2025.04~rc3+ds-2) sid; urgency=medium

  * d/patches: Use correct flags to compile pybind11 module

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 10 Aug 2025 14:35:37 +0200

## opm-common 2025.10~git20251006.b6424374e+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -177,7 +177,11 @@
 
   if(QuadMath_FOUND)
     get_target_property(qm_defs QuadMath::QuadMath INTERFACE_COMPILE_DEFINITIONS)
-    list(APPEND qm_defs HAVE_QUAD=1)
+    if(qm_defs)
+      list(APPEND qm_defs HAVE_QUAD=1)
+    else()
+      set(qm_defs HAVE_QUAD=1)
+    endif()
     get_target_property(qm_options QuadMath::QuadMath INTERFACE_COMPILE_OPTIONS)
     set_source_files_properties(opm/material/components/CO2.cpp
                                 opm/material/densead/Evaluation.cpp
@@ -270,4 +274,3 @@
 
     # Compatibility settings for PythonInterp and PythonLibs
     # used e.g. in FindCwrap, pybind11
-    set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})

=== debian/changelog ===
opm-common (2025.10~git20251006.b6424374e+ds-1) experimental; urgency=medium

  * Prerelease version based on commit b6424374e. 
  * Rediff patches and drop patches applied to upstream

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Oct 2025 20:46:58 +0200

## opm-common 2025.10%2Bds

=== debian/changelog ===
opm-common (2025.10+ds-2) unstable; urgency=medium

  * d/patches: Reintroduce OpenMP patch to fix autopkgtests

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 27 Oct 2025 10:28:46 +0100

opm-common (2025.10+ds-1) unstable; urgency=medium

  * New upstream release 2025.10+ds
  * Rediff patches and drop patches applied to upstream

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Oct 2025 13:44:17 +0200

## opm-common 2025.10+ds

=== python/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
# NOTE (2025-09-12): cmake_minimum_required must precede project() to avoid
# the developer warning: 'cmake_minimum_required() should be called prior to
# this top-level project() call.'
project(install_python_binding)

install(CODE "message(\"Dummy install\")")

=== python/requirements.txt ===
six
future
decorator
numpy

=== python/opm/ml/ml_tools/requirements.txt ===
################################################################
# Python v.3.9.0 and above
python>=3.9.0<=3.12.0

################################################################
# Numpy 1.23.0 and above
numpy>=1.23.0

################################################################
# TensorFlow v.2.1 and above include both CPU and GPU versions.
tensorflow>=2.1.0

################################################################
# Keras v.2.12.0 and above
keras>=2.12.0

################################################################

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-decorator,
                libdune-common-dev (>= 2.10.0~),
                pybind11-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/opm-common
 Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
 Homepage: https://opm-project.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DOPM_ENABLE_PYTHON=1 -DOPM_INSTALL_PYTHON=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 -DOPM_INSTALL_COMPILED_PYTHON=OFF -DOPM_ENABLE_EMBEDDED_PYTHON=1

need_gb_ram_per_process=3
free_ram=$(shell free -g | sed -n 2p| sed "s/ \+/ /g"| cut -d " " -f 2)
max_procs=$(shell echo "$(free_ram)/$(need_gb_ram_per_process)" | bc)
parallel_procs=$(shell if test "$(max_procs)" -lt "1"; then echo 1; else echo "$(max_procs)"; fi)

%:
	echo "ram in gb: $(free_ram), needed ram per thread: $(need_gb_ram_per_process), threads: $(parallel_procs)"
	dh $@ --max-parallel=$(parallel_procs)

include debian/opm-debian.mk
include debian/opm-lib-debian.mk # for makeshlibs

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d.\d\d)/(.*)\.tar\.gz%@PACKAGE@-$1-$2.tar.gz%,oversionmangle=s/(.*)/$1+ds/,uversionmangle=s/.final//;s/.rc/~rc/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
   https://github.com/OPM/@PACKAGE@/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/(final|rc.*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-common.git \
#   refs/tags/v([\d\.]+) debian uupdate
